import { Base, INotifyPropertyChanged, PropertyChangedEventArgs, Type } from "./type";
import { ILegendContext } from "./ILegendContext";
import { Brush } from "./Brush";
/**
 * @hidden
 */
export declare class DataContext extends Base implements ILegendContext, INotifyPropertyChanged {
    static $t: Type;
    private _series;
    get series(): any;
    set series(a: any);
    private c;
    get item(): any;
    set item(a: any);
    private h;
    get actualItemBrush(): Brush;
    set actualItemBrush(a: Brush);
    private j;
    get outline(): Brush;
    set outline(a: Brush);
    private d;
    get itemLabel(): any;
    set itemLabel(a: any);
    private i;
    get itemBrush(): Brush;
    set itemBrush(a: Brush);
    private a;
    get thickness(): number;
    set thickness(a: number);
    private e;
    get legendLabel(): any;
    set legendLabel(a: any);
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected g(a: string): void;
    flatten(): any;
}
